package domain


type AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo struct {
    /*
        外部主单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        外部渠道店ID(与shop_id必选其一)     */
    OutShopId  *string `json:"out_shop_id,omitempty" `

    /*
        外部逆向单ID     */
    OutRefundId  *string `json:"out_refund_id,omitempty" `

    /*
        申请退款金额，单位：分     */
    RefundFee  *int64 `json:"refund_fee,omitempty" `

    /*
        退款原因     */
    RefundReason  *string `json:"refund_reason,omitempty" `

    /*
        退的运费     */
    RefundPostFee  *int64 `json:"refund_post_fee,omitempty" `

    /*
        退的包装费     */
    RefundPackageFee  *int64 `json:"refund_package_fee,omitempty" `

    /*
        逆向子单列表     */
    SubRefundOrders  *[]AlibabaTclsAelophyMerchantChannelRefundApplySubRefundOrder `json:"sub_refund_orders,omitempty" `

    /*
        渠道来源(选填out_shop_id时该值必填)     */
    OrderFrom  *int64 `json:"order_from,omitempty" `

    /*
        渠道店id(与out_shop_id必选其一)     */
    ShopId  *string `json:"shop_id,omitempty" `

    /*
        退款类型，1:仅退款。2.仅退货。3.退货退款     */
    RefundType  *int64 `json:"refund_type,omitempty" `

    /*
        退款备注、或问题描述等补充性文本     */
    RefundNote  *string `json:"refund_note,omitempty" `

    /*
        退款图片清单     */
    RefundPics  *[]string `json:"refund_pics,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetOutOrderId(v string) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetOutShopId(v string) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.OutShopId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetOutRefundId(v string) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.OutRefundId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetRefundFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.RefundFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetRefundReason(v string) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.RefundReason = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetRefundPostFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.RefundPostFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetRefundPackageFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.RefundPackageFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetSubRefundOrders(v []AlibabaTclsAelophyMerchantChannelRefundApplySubRefundOrder) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.SubRefundOrders = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetOrderFrom(v int64) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.OrderFrom = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetShopId(v string) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.ShopId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetRefundType(v int64) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.RefundType = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetRefundNote(v string) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.RefundNote = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) SetRefundPics(v []string) *AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo {
    s.RefundPics = &v
    return s
}
